C******************** START FILE LCMPPR.FOR ; GROUP UREAD5 ******************
C--------------------------------------------------------------
C&  LCMPPR COMPARE PROGRAM PROMPT WITH RECORD FROM INPUT FILE
C
C  UREAD INTERNAL-- IS PROMPT MATCH CHECKING IN EFFECT ?
C
      LOGICAL FUNCTION LCMPPR(IW1,IW2)
C
      INCLUDE 'USERIO'
C
C  APPLICATION CONTROLS WHAT WORD RANGE IN PROMPT TO CHECK
C  VIA COMMON ARRAY NCPRM WHICH IS SET BY "CALL URDPMA(I,J)"
C  E.G. "CALL URDPMA(1,3)" SAYS DEFINE PROMPTS TO MATCH IF THE
C  FIRST 3 WORDS AGREE
C
C  CALL URDPMA(2,4) SAYS CHECK WORDS 2--4 FOR MATCH
C
C  CALL URDPMA(0,0) WILL TURN OFF ALL PROMPT MATCH CHECKING FEATURES
C  SO WILL CALL URDPMA(2,1)
C
      IW1=MAX0(1,NCPRM(1))
      IW2=NCPRM(2)
C
C  IF A NULL RANGE IS SPECIFIED, A PROMPT MATCH IS ASSUMED W/O CHECKING
C
      IF(IW2.LT.IW1) THEN
        LCMPPR=.FALSE.
      ELSE
        LCMPPR=.TRUE.
      ENDIF
C
      RETURN
      END
C---------------------------
